Subject: Re: Using a git repository on the root directory

From: Jakub Narebski <[email-masked]>
Date: Sat, 17 Apr 2010 01:42:35 -0700 (PDT)

Miguel Ramos <[email-masked]> writes:

> Is it possible with git to use a git repository on the root directory?
> I'm trying to replace subversion doing this.
> I have a populated repository elsewhere, I can clone this to an empty
> directory and then move .git to / to work around the demand that the
> target directory is empty and at the same time avoid overwriting
> files.
> I used this method before to get my home directory versioned with
> success, so far.
> 
> When I'm on the root directory, things seem to work minimally. I do
> git status, etc, and get the expected results.
> However, if I change say to /etc, or any other directory, for that
> matter, then git status tells me that every file in the repository is
> deleted.
> Adding files doesn't work, nothing works at all.
> 
> I know this is an unforeseen use of git, however, unforeseen might not
> imply forbidden.
> I'm pretty disappointed I couldn't get it working.

The 'nd/root-git' branch (merged into 'master' as v1.7.1-rc0~89)
might have addressed the issue you are seeing.

-- 
Jakub Narebski
Poland
ShadeHawk on #git